NetworksRegister a network

Register a network

Adds a network to the global registry. coinType is a BIP-44/SLIP-0044 identifier and must be unique. slug is the on-chain name (lowercase), referenced by Address.network, Token, and webhook matching.

curl -X POST "https://policy-engine-rest.ezig.workers.dev/api/v1/networks" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "coinType": 195,
  "code": "tron_network",
  "slug": "tron",
  "name": "Tron",
  "description": "example_string",
  "logoUri": "https://cdn.example.com/networks/tron.png",
  "type": "TRON"
}'
{
  "id": "cmr3f41z20001psp7phmyapw3",
  "coinType": 195,
  "code": "tron_network",
  "slug": "tron",
  "name": "Tron",
  "description": "example_string",
  "logoUri": "https://cdn.example.com/networks/tron.png",
  "type": "TRON",
  "createdAt": "2026-07-02T11:25:15.134000Z",
  "updatedAt": "2026-07-02T11:25:15.134000Z"
}
POST
/api/v1/networks
POST
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Session token. Mobile/services. The web uses a cookie.

Session token. Mobile/services. The web uses a cookie.
API Key (cookie: session_token)
session_tokenstring
Required

API key (sent in cookie)

Content-Typestring
Required

The media type of the request body

Options: application/json
coinTypeinteger
Required

SLIP-0044 coin type (Tron = 195, Ethereum = 60)

Min: 0 • Max: 9007199254740991
slugstring
Required

On-chain network name (lowercase)

logoUristring

Link to the network's logo image

Format: uri • Max length: 2048
typestring

Network type, e.g. "TRON", "EVM"

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Session token. Mobile/services. The web uses a cookie.

path
parameterstring
Required

API Key for authentication. Provide your API key in the cookie.

Body

application/json
coinTypeinteger
Required

SLIP-0044 coin type (Tron = 195, Ethereum = 60)

Example:
195
codestring
Required
Example:
tron_network
slugstring
Required

On-chain network name (lowercase)

Example:
tron
namestring
Required
Example:
Tron
logoUristring

Link to the network's logo image

Example:
https://cdn.example.com/networks/tron.png
typestring

Network type, e.g. "TRON", "EVM"

Example:
TRON

Responses